<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
            <span jhiTranslate="mpmApp.priceComponent.home.title">Price Components</span>
            </h5>
            <!-- <input type="text" (valueChange)="displayPriceType($event)"> -->
            <p-dataTable
                [value]="priceComponentsUpload"
                [responsive]="true">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11" style="margin-right: 10px;">
                        <label class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-left label-upload">
                            <i class="fa fa-upload" aria-hidden="true"></i><span class="label-uploaded" >Browse</span>           
                            <input type="file" (change)="onFileChange($event)" multiple="false" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" hidden/>
                        </label>
                    </div>
                    <!-- <div>
                        <form name="searchForm" class="form-inline">
                            <div class="form-group">
                                <label class="form-control-label" jhiTranslate="mpmApp.priceType.priceType" for="field_pricetype" style="margin-right: 10px;">Price</label>
                                <select class="form-control" id="field_pricetype" name="priceType" [(ngModel)]="priceType" >
                                    <option [ngValue]="null">Select {{ 'mpmApp.priceType.priceType' | translate }}</option>
                                    <option [ngValue]="priceType.description" *ngFor="let priceType of priceTypes">{{priceType.description}}</option>
                                </select>
                            </div>
                        </form>
                    </div> -->
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.priceComponent.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <!-- <p-column header="{{'mpmApp.priceComponent.manfucterPrice'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.manfucterPrice | number}}
                    </ng-template>
                </p-column> -->
                <!-- <p-column header="{{'mpmApp.priceComponent.discount'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.discount | number: '.0-2'}}
                    </ng-template>
                </p-column> -->
                <p-column header="Kode Dealer" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.kodeDealer}}
                    </ng-template>
                </p-column>
                <p-column header="Kode Vendor" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- {{rowData.price | number}} -->
                            {{ rowData.kodeVendor}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.priceComponent.product'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.productId}}
                    </ng-template>
                </p-column>
                <p-column header="Off The Road" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- {{rowData.price | number}} -->
                            {{ rowData.het | number}}
                    </ng-template>
                </p-column>
                <p-column header="BBN" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- {{rowData.price | number}} -->
                            {{ rowData.bbn | number}}
                    </ng-template>
                </p-column>
                <p-column header="BBNKB" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- {{rowData.price | number}} -->
                            {{ rowData.bbnkb | number}}
                    </ng-template>
                </p-column>
                <p-column header="PKB" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- {{rowData.price | number}} -->
                            {{ rowData.pkb | number}}
                    </ng-template>
                </p-column>
                <p-column header="SWDKLLJ" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- {{rowData.price | number}} -->
                            {{ rowData.swdkllj | number}}
                    </ng-template>
                </p-column>
                <p-column header="STNK" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- {{rowData.price | number}} -->
                            {{ rowData.stnk | number}}
                    </ng-template>
                </p-column>
                <p-column header="TNKB" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- {{rowData.price | number}} -->
                            {{ rowData.tnkb | number}}
                    </ng-template>
                </p-column>
                <p-column header="PARKIR" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- {{rowData.price | number}} -->
                            {{ rowData.parkir | number}}
                    </ng-template>
                </p-column>
                <p-column header="BIAYA" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- {{rowData.price | number}} -->
                            {{ rowData.biaya | number}}
                    </ng-template>
                </p-column>
                <p-column header="Biro Jasa" [style]="{'width': '120px', 'text-align': 'left'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- {{rowData.price | number}} -->
                            {{ rowData.biroJasa | number}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.priceComponent.dateFrom'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                             {{rowData.dateFrom}} 
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.priceComponent.dateThru'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dateThru}}
                    </ng-template>
                </p-column>
                <!-- <p-column header="{{'mpmApp.priceComponent.party'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.partyId">
                            <a [routerLink]="['../party', rowData.partyId  ]" >{{rowData.partyId}}</a>
                        </div>
                    </ng-template>
                </p-column> -->
                <!-- <p-column header="{{'mpmApp.priceComponent.wetype'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.wetypeId">
                            <a [routerLink]="['../work-effort-type', rowData.wetypeId  ]" >{{rowData.wetypeId}}</a>
                        </div>
                    </ng-template>
                </p-column> -->
                <!-- <p-column header="{{'mpmApp.priceComponent.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['../price-component', rowData.idPriceComponent]"
                                icon="fa-eye"
                                class="flat-button"
                                [style]="{'height':'50px'}">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'price-component/'+ rowData.idPriceComponent + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData.idPriceComponent)"
                                icon="fa-remove"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column> -->
                <!-- <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template> -->
            </p-dataTable>
            <div class="col-md-12">
                <div class="pull-right">
                    <button pButton type="button" data-dismiss="modal" (click)="clear()" label="{{'entity.action.cancel' | translate}}" icon="fa-ban"
                        class="ui-button-danger flat-label-button">
                    </button>
                    <button pButton type="submit" (click) = "saveList()" class="ui-button-primary" label="Simpan" style="margin-top: 10px;"></button>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<!-- <p-confirmDialog></p-confirmDialog> -->